classification
Title: compileall does not support pathlib
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, brett.cannon, ethan.furman, ned.deily, python-dev
Priority: normal Keywords: patch

Created on 2016-09-21 07:28 by ethan.furman, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
open-compileall.stoneleaf.patch ethan.furman, 2016-09-21 07:28 review
issue28226_v2.diff berker.peksag, 2016-09-30 03:24 review
issue28226_v3.diff berker.peksag, 2016-09-30 03:42 review
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (7)
msg277392 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2016-09-25 18:33
Is there a fix for compileall missing from the patch? All I see are a new test.
msg277736 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-30 03:24
> Is there a fix for compileall missing from the patch?

No, os.path.* functions have taken care of the conversion, but the output was in the following format:

    Compiling PosixPath('/tmp/tmp_nfh98lw/_test.py')...

I fixed it, added a test for the ddir argument and simplified tests a bit.
msg277773 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-30 21:52
New changeset a6f0cc1820f4 by Berker Peksag in branch '3.6':
Issue #28226: compileall now supports pathlib
https://hg.python.org/cpython/rev/a6f0cc1820f4

New changeset fcce24bc9416 by Berker Peksag in branch 'default':
Issue #28226: Merge from 3.6
https://hg.python.org/cpython/rev/fcce24bc9416
msg277774 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-30 21:54
I found a similar problem in compile_dir() and fixed it in the commit.
msg277775 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2016-09-30 22:08
Thanks, Berker Peksag!
msg277777 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-30 22:16
Windows buildbots didn't like a6f0cc1820f4 :) Fix is incoming.

======================================================================
FAIL: test_compile_dir_pathlike (test.test_compileall.CompileallTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\3.6.ware-win81-release\build\lib\test\test_compileall.py", line 161, in test_compile_dir_pathlike
    self.assertIn("Listing '{}'...".format(self.directory), stdout.getvalue())
AssertionError: "Listing 'D:\\temp\\tmpuziqv_kw'..." not found in "Listing 'D:\\\\temp\\\\tmpuziqv_kw'...\nListing 'D:\\\\temp\\\\tmpuziqv_kw\\\\_subdir'...\nCompiling 'D:\\\\temp\\\\tmpuziqv_kw\\\\_subdir\\\\_test3.py'...\nCompiling 'D:\\\\temp\\\\tmpuziqv_kw\\\\_test.py'...\nCompiling 'D:\\\\temp\\\\tmpuziqv_kw\\\\_test2.py'...\n"

======================================================================
FAIL: test_compile_file_pathlike (test.test_compileall.CompileallTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\buildarea\3.6.ware-win81-release\build\lib\test\test_compileall.py", line 111, in test_compile_file_pathlike
    "Compiling '{}'...\n".format(self.source_path))
AssertionError: "Compiling 'D:\\\\temp\\\\tmpqvjkm0fm\\\\_test.py'...\n" != "Compiling 'D:\\temp\\tmpqvjkm0fm\\_test.py'...\n"
- Compiling 'D:\\temp\\tmpqvjkm0fm\\_test.py'...
?              -     -            -
+ Compiling 'D:\temp\tmpqvjkm0fm\_test.py'...
msg277784 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-09-30 23:42
New changeset 13cd90bdcfbe by Berker Peksag in branch '3.6':
Issue #28226: Fix test_compileall on Windows
https://hg.python.org/cpython/rev/13cd90bdcfbe

New changeset ff80d77200ed by Berker Peksag in branch 'default':
Issue #28226: Merge from 3.6
https://hg.python.org/cpython/rev/ff80d77200ed
History
Date User Action Args
2017-03-31 16:36:22dstufftsetpull_requests: + pull_request955
2016-10-01 01:09:49berker.peksagsetstatus: open -> closed
2016-09-30 23:42:56python-devsetmessages: + msg277784
2016-09-30 22:16:06berker.peksagsetstatus: closed -> open

messages: + msg277777
2016-09-30 22:08:16ethan.furmansetassignee: ethan.furman ->
messages: + msg277775
2016-09-30 21:54:06berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg277774

stage: patch review -> resolved
2016-09-30 21:52:50python-devsetnosy: + python-dev
messages: + msg277773
2016-09-30 03:42:40berker.peksagsetfiles: + issue28226_v3.diff
2016-09-30 03:24:16berker.peksagsetfiles: + issue28226_v2.diff

nosy: + berker.peksag
messages: + msg277736

components: + Library (Lib)
2016-09-25 18:33:21brett.cannonsetassignee: ethan.furman
messages: + msg277392
2016-09-23 21:32:53ned.deilysetnosy: + ned.deily

versions: + Python 3.7
2016-09-21 07:28:34ethan.furmancreate